#include "kernel/types.h"
#include "kernel/stat.h"
#include "user/user.h"

int main(int argc,int *argv[]){
    int p2c[2],c2p[2];
    if(pipe(p2c)<0){
        printf("pipe");
        exit(-1);
    }
    if(pipe(c2p)<0){
        printf("pipe");
        exit(-1);
    }
    int pid=fork();
    if (pid==0){
        char buf[10];
        read(p2c[0],buf,5);
        printf("%d: received ping\n",getpid());
        write(c2p[1],"pong",5);
    }
    else if(pid>0){
        write(p2c[1],"ping",5);
        char buf[10];
        read(c2p[0],buf,5);
        printf("%d: received pong\n",getpid());
    }
    close(p2c[0]);close(p2c[1]);close(c2p[0]);close(c2p[1]);
    exit(0);
}