#include "kernel/types.h"
#include "kernel/stat.h"
#include "user/user.h"
#include "kernel/fs.h"

char *getfile(char *path){
    static char buf[DIRSIZ+1];
    char *p;
    for(p=path+strlen(path);p>=path&&*p!='/';p--);
    p++;
    if(strlen(p)>=DIRSIZ)return p;
    memmove(buf,p,strlen(p));
    memset(buf+strlen(p),0,1);
    return buf;
}
void find(char *path,char *target){
    struct dirent de;//direction entry
    struct stat st;//statu
    char buf[505],*p;
    int fd;//file descriptor
    fd=open(path,0);//0代表只读
    fstat(fd,&st);
    switch(st.type){
        case T_FILE:
            if(strcmp(getfile(path),target)==0){
                printf("%s\n",path);
            }
            break;
        case T_DIR:
            strcpy(buf,path);
            p=buf+strlen(buf);
            *p++='/';
            while(read(fd,&de,sizeof de)==sizeof de){
                if(de.inum==0||strcmp(de.name,".")==0||strcmp(de.name,"..")==0)continue;
                memmove(p,de.name,DIRSIZ);
                p[DIRSIZ]=0;
                find(buf,target);
            }
            break;
    }
    close(fd);
}

int main(int argc,char *argv[]){
    find(argv[1],argv[2]);
    exit(0);
}