#include "kernel/types.h"
#include "kernel/stat.h"
#include "user/user.h"

void _prime(int p[]){
    close(p[1]);
    int prime;
    read(p[0],&prime,4);
    printf("prime %d\n",prime);
    int nxt;
    if(read(p[0],&nxt,4)==0)return;
    int p_new[2];
    pipe(p_new);
    int pid=fork();
    if(pid>0){
        close(p_new[0]);
        do{
            if(nxt%prime){
                write(p_new[1],&nxt,4);
            }
        }while(read(p[0],&nxt,4));
        close(p[0]);
        close(p_new[1]);
        int statu;
        wait(&statu);
    }
    else{
        close(p[0]);
        _prime(p_new);
    }

}
int main(int argc,int *argv[]){
    int p[2];
    pipe(p);
    int pid=fork();
    if(pid>0){
        close(p[0]);
        for(int i=2;i<=35;i++){
            write(p[1],&i,4);
        }
        close(p[1]);
        int statu;
        wait(&statu);
    }
    else{
        _prime(p);
    }
    exit(0);
}